# MSP::CCS::Accuracy Class Reference

`#include <Accuracy.h>`

List of all members.

## Public Member Functions

| Accuracy ()
| Accuracy (double __circularError90, double __linearError90, double __sphericalError90)
| Accuracy (const Accuracy &a)
| ~Accuracy (void)
Accuracy & | operator= (const Accuracy &a)
void | set (double __circularError90, double __linearError90, double __sphericalError90)
void | setCircularError90 (double __circularError90)
void | setLinearError90 (double __linearError90)
void | setSphericalError90 (double __sphericalError90)
double | circularError90 ()
double | linearError90 ()
double | sphericalError90 ()

## Detailed Description

Definition at line 13 of file Accuracy.h.

## Constructor & Destructor Documentation

Accuracy::Accuracy | ( |  | ) |

Definition at line 9 of file Accuracy.cpp.

Accuracy::Accuracy | ( | double | __circularError90,
|  | double | __linearError90,
|  | double | __sphericalError90 |
| ) |  |  |

Definition at line 17 of file Accuracy.cpp.

Accuracy::Accuracy | ( | const Accuracy & | a | ) |

Definition at line 25 of file Accuracy.cpp.

Accuracy::~Accuracy | ( | void |  | ) |

Definition at line 33 of file Accuracy.cpp.

## Member Function Documentation

double Accuracy::circularError90 | ( |  | ) |

Definition at line 80 of file Accuracy.cpp.

double Accuracy::linearError90 | ( |  | ) |

Definition at line 86 of file Accuracy.cpp.

Accuracy & Accuracy::operator= | ( | const Accuracy & | a | ) |

Definition at line 41 of file Accuracy.cpp.

void Accuracy::set | ( | double | __circularError90,
|  | double | __linearError90,
|  | double | __sphericalError90 |
| ) |  |  |

Definition at line 54 of file Accuracy.cpp.

void Accuracy::setCircularError90 | ( | double | __circularError90 | ) |

Definition at line 62 of file Accuracy.cpp.

void Accuracy::setLinearError90 | ( | double | __linearError90 | ) |

Definition at line 68 of file Accuracy.cpp.

void Accuracy::setSphericalError90 | ( | double | __sphericalError90 | ) |

Definition at line 74 of file Accuracy.cpp.

double Accuracy::sphericalError90 | ( |  | ) |

Definition at line 92 of file Accuracy.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/Accuracy.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/Accuracy.cpp